package com.miui.systemAdSolution.splashAd;
import com.miui.systemAdSolution.splashAd.IAdListener;
interface ISystemSplashAdService {
 /**
 * 请求并显示开屏广告，该接口是异步调用，广告请求结果会通过IAdListener回调
 *
 * packageName 请求开屏广告的包名
 * adListener 开屏请求的结果回调
 */
 boolean requestSplashAd(String packageName,IAdListener adListener);
  /**
  * 取消开屏广告请求，用于当App等待超时或特殊情况下，强制取消开屏广告请求，该接口会取消广告请求，取消素材下载并关闭开屏广告
 界面
  *
  * packageName 取消开屏广告的包名
  */
  void cancelSplashAd(String packageName);

}
