// GlossaryAidlInterface.aidl
package com.kingsoft;
import com.kingsoft.WordBeanAidl;
import com.kingsoft.BookBeanAidl;
import com.kingsoft.GetMeansCallBack;
// Declare any non-default types here with import statements

interface GlossaryAidlInterface {
     //  获取生词本列表 生词本背景可能为空
         List<BookBeanAidl> getGlossaryList();
         // 随机获取单词
        List<WordBeanAidl> getWord(int bookId,int limit);
         //  获取当前单词的释义和音标
        // {"word":"Buddhism","phonetic":"ˈbʊdɪzəm","interpret":"n.   佛教;释;佛门;释门"}      注意  phonetic 可能为空   interpret 可能为空
         void registerMeansListener(String word,GetMeansCallBack callBack);
         // 跳转到生词本页面
         void startGlossaryActivity();
         // 跳转到创建生词本界面
         void startCreateGlossaryActivity();
         // 获取生词本大小
         int getGlossarySize(int bookId);
}
